package com.jzdsh.auto.biz;

import com.jfinal.plugin.activerecord.Page;
import com.jzdsh.auto.model.Quality;
import lombok.extern.log4j.Log4j2;

/**
 * @ProjectName: auto
 * @Package: com.jzdsh.auto.biz
 * @ClassName: QualityService
 * @Author: Jzdsh
 * @Description: 品质信息表
 * @Date: 2020/3/28 18:32
 * @Version: 1.0
 */
@Log4j2
public class QualityService {


    public Page< Quality > page(int pageNum, int pageSize) {
        try {
            return Quality.dao.paginate(pageNum, pageSize, "select a.*,b.title typeName", " from quality a,bs_type b where a.typeId = b.id");
        } catch (Exception e) {
            log.info("", e);
        }
        return null;
    }

}
